### Hierarchy

- AssistantNodeRepository

### Implements

- PermissionsSource
- NonceSource
- SiteDataSource
- NodeInfo

## Index

### Constructors

- constructor

### Methods

- getGrandAccessRecords
- getNodeVersion
- getNonce
- getSiteData

## Constructors

### constructor

- new AssistantNodeRepository(accountRepository: AccountRepository, dataRequestRepository: DataRequestRepository, siteRepository: SiteRepository, nodeInfoRepository: NodeInfoRepository): AssistantNodeRepository

- - Defined in repository/assistant/AssistantNodeRepository.ts:14

  #### Parameters

  - ##### accountRepository: AccountRepository

  - ##### dataRequestRepository: DataRequestRepository

  - ##### siteRepository: SiteRepository

  - ##### nodeInfoRepository: NodeInfoRepository

  #### Returns AssistantNodeRepository

## Methods

### getGrandAccessRecords

- getGrandAccessRecords(publicKeyFrom: string, publicKeyTo: string): Promise<Array<DataRequest>>

- Implementation of PermissionsSource.getGrandAccessRecords

  - Defined in repository/assistant/AssistantNodeRepository.ts:25

  #### Parameters

  - ##### publicKeyFrom: string

  - ##### publicKeyTo: string

  #### Returns Promise<Array<DataRequest>>

### getNodeVersion

- getNodeVersion(): Promise<string>

- Implementation of NodeInfo.getNodeVersion

  - Defined in repository/assistant/AssistantNodeRepository.ts:37

  #### Returns Promise<string>

### getNonce

- getNonce(publicKey: string): Promise<number>

- Implementation of NonceSource.getNonce

  - Defined in repository/assistant/AssistantNodeRepository.ts:29

  #### Parameters

  - ##### publicKey: string

  #### Returns Promise<number>

### getSiteData

- getSiteData(origin: string): Promise<Site>

- Implementation of SiteDataSource.getSiteData

  - Defined in repository/assistant/AssistantNodeRepository.ts:33

  #### Parameters

  - ##### origin: string

  #### Returns Promise<Site>

Generated using TypeDoc